@echo off

@REM
@REM Set BGR config according to workstation name
@REM

setlocal enableDelayedExpansion
set WorkstationName=%COMPUTERNAME%
set AdditionalBgrs=

@REM List of workstations to configure with 3 BGRs
set "ThreeBgrList=;EWR1GTF18A;EWR1GTF18B;EWR11;EWR12;"

@REM Set variable containing the 3rd BGR
if "!ThreeBgrList:;%WorkstationName%;=!" neq "!ThreeBgrList!" set AdditionalBgrs=/UBGR3


@REM List of workstations to configure with 4 BGRs
set "FourBgrList=;EWR21;EWR22;"

@REM Set variable containing the 3rd and 4th BGRs
if "!FourBgrList:;%WorkstationName%;=!" neq "!FourBgrList!" set AdditionalBgrs=/UBGR3 /UBGR4

echo %AdditionalBgrs%
